﻿using System;

namespace AladdinOpenAPI
{
    public class AladdinService
    {
        private AladdinService() { }

        public string TTBKey = string.Empty;

        public AladdinService(string ttbKey)
        {
            this.TTBKey = ttbKey;
        }

        public ItemSearchRequest CreateItemSearchRequest()
        {
            return new ItemSearchRequest(this);
        }

        public ItemLookUpRequest CreateItemLookUpRequest()
        {
            return new ItemLookUpRequest(this);
        }
    }
}